fftw

From: Pedro Colin <p.colin_at_astrosmo.unam.mx>
Date: Thu, 10 Aug 2006 17:36:44 -0500 (CDT)

Hi,

I am trying to compile Gadget-2.0 with -DPMGRID=256 option on. I get this
error

pm_periodic.o(.text+0x48): In function `pm_init_periodic':
: undefined reference to `rfftw3d_mpi_create_plan'
pm_periodic.o(.text+0x6d): In function `pm_init_periodic':
: undefined reference to `rfftw3d_mpi_create_plan'
etc.

I installed fftw-2.1.5 in my computer and I assumed this was enough for
Gadget-2.0. I compiled fftw-2.1.5 with parallel support by passing the
option --enable-mpi to the configure script. So, I am missing something,
does anyone know what?

Cheers,

Pedro Colin
Received on 2006-08-11 00:47:00

This archive was generated by hypermail 2.3.0 : 2022-09-01 14:03:41 CEST